Page MenuHomePhabricator

Improve documentation of pithumbsize in MediaWiki's PageImages extension
Closed, ResolvedPublic

Description

This task is about MediaWiki's PageImages extension.

Currently this option is documented as: "integer -> Maximum thumbnail dimension"

The term "dimension" is confusing here, and it does not explain that the width is in pixels.

This task requires to fix the documentation both on https://www.mediawiki.org/wiki/Extension:PageImages (by editing that wiki page) and in https://www.mediawiki.org/w/api.php?action=help&modules=query%2Bpageimages (by fixing the output provided by the extension's API).

Event Timeline

TheDJ created this task.Oct 24 2017, 3:12 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 24 2017, 3:12 PM
Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptOct 27 2017, 2:03 PM
Jdlrobson triaged this task as Medium priority.Oct 27 2017, 2:04 PM
Jdlrobson added a project: Google-Code-in-2017.
Jdlrobson moved this task from Incoming to Triaged but Future on the Readers-Web-Backlog board.
Aklapper renamed this task from Improve documentation of pithumbsize to Improve documentation of pithumbsize in MediaWiki's PageImages extension.Nov 25 2017, 8:16 PM
Aklapper updated the task description. (Show Details)
Aklapper moved this task from Proposed tasks to Imported in GCI Site on the Google-Code-in-2017 board.

Change 396293 had a related patch set uploaded (by Pppery; owner: Pppery):
[mediawiki/extensions/PageImages@master] Clarify documentation of pithumbsize parameter

https://gerrit.wikimedia.org/r/396293

Change 396293 merged by jenkins-bot:
[mediawiki/extensions/PageImages@master] Clarify documentation of pithumbsize parameter

https://gerrit.wikimedia.org/r/396293

Jdlrobson closed this task as Resolved.Dec 8 2017, 8:38 PM
Jdlrobson claimed this task.